## org.hibernate.service.jta.platform.internal
Class OrionJtaPlatform

    java.lang.Object
      org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
          org.hibernate.service.jta.platform.internal.OrionJtaPlatform

All Implemented Interfaces:
  Serializable, TransactionManagerAccess, JtaPlatform, Service, Configurable, ServiceRegistryAwareService

    public class OrionJtaPlatform

extends AbstractJtaPlatform

`JtaPlatform` implementation for Orion

See Also:
  Serialized Form

Field Summary
`static String` `TM_NAME`
`static String` `UT_NAME`

Constructor Summary
`OrionJtaPlatform()`

Method Summary
`protected TransactionManager` `locateTransactionManager()`
`protected UserTransaction` `locateUserTransaction()`

Methods inherited from class org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
`canCacheTransactionManager, canCacheUserTransaction, canRegisterSynchronization, configure, getCurrentStatus, getSynchronizationStrategy, getTransactionIdentifier, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TM_NAME

    public static final String TM_NAME

See Also:
  Constant Field Values

### UT_NAME

    public static final String UT_NAME

See Also:
  Constant Field Values

Constructor Detail

### OrionJtaPlatform

    public OrionJtaPlatform()

Method Detail

### locateTransactionManager

    protected TransactionManager locateTransactionManager()

  Specified by:
    `locateTransactionManager` in class `AbstractJtaPlatform`

### locateUserTransaction

    protected UserTransaction locateUserTransaction()

  Specified by:
    `locateUserTransaction` in class `AbstractJtaPlatform`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.